#include <fstream>
#include <iostream>
#include <math.h>

//=====================================================================
/* Main Routine to compute error in VFI
 */
//=====================================================================

using namespace std;

//=====================================================================  
//Fortran routines
extern "C" { void plot_fortran_(const int *plotit,const int *level);}  
//Parameter module interface
extern "C" { double __parameter_module_MOD_init_paramodule();}

extern "C" { double __parameter_module_MOD_init_process();} //init mpi
extern "C" { double __parameter_module_MOD_is_master(bool *ismaster);}

extern "C" int *debug_ptr;
extern "C" int *start_iter_ptr;
extern "C" int *dim_model_ptr;
extern "C" int *n_disc_state_ptr;


//=====================================================================  
int main(int argc, char *argv[]){

    int plotit =100;
    int level =4;

    //transfer settings over from parameter module
    __parameter_module_MOD_init_paramodule();
    int debug = *debug_ptr;
    int dim_model = *dim_model_ptr;
    int n_disc_state = *n_disc_state_ptr;

    //call main Fortran routine
    cout << " Launching the plotting function "<< endl;
    plot_fortran_(&plotit,&level);
   
 
/**********************************************************************/
    cout << "plotting output done " << endl;
    return 0;
  }
//=====================================================================
