
      
!=======================================================================      

      subroutine solve_feas(grid_pt_box, X, N, DAT, IDAT)

!=======================================================================      

!.....returns an improved initial guess by solving for some of the variables
      implicit none

      integer, intent(in) :: N
      real(prec), intent(in)   ::  grid_pt_box(dim_model)
      real(prec) :: X(N)
      real(prec) :: X_tmp(N)

      integer                 ::  state_in

      
 
      real(prec),dimension(dim_sim) :: DAT
      integer :: IDAT(*)     

!-----------------------------------------------------------------------
!     compute random start points

      state_in = IDAT(1)

      X_tmp(:) = x(:)


          

        X(12) = X_tmp(12)**2 &
              & + X_tmp(13)**2 &
              & + X_tmp(15)**2
        X(13) = X_tmp(12)*X_tmp(13) &
              & + X_tmp(13)*X_tmp(14) &
              & + X_tmp(15)*X_tmp(16)
        X(15) = X_tmp(12)*X_tmp(15) &
              & + X_tmp(13)*X_tmp(16) &
              & + X_tmp(15)*X_tmp(17)
        X(14) = X_tmp(13)**2 &
              & + X_tmp(14)**2 &
              & + X_tmp(16)**2
        X(16) = X_tmp(13)*X_tmp(15) &
              & + X_tmp(14)*X_tmp(16) &
              & + X_tmp(16)*X_tmp(17)
        X(17) = X_tmp(15)**2 &
              & + X_tmp(16)**2 &
              & + X_tmp(17)**2
        X(18) = X_tmp(18)**2 &
              & + X_tmp(19)**2
        X(19) = X_tmp(18)*X_tmp(19) &
              & + X_tmp(19)*X_tmp(20)
        X(20) = X_tmp(19)**2 &
              & + X_tmp(20)**2
        X(22) = X_tmp(22)**2 &
              & + X_tmp(23)**2 &
              & + X_tmp(25)**2
        X(23) = X_tmp(22)*X_tmp(23) &
              & + X_tmp(23)*X_tmp(24) &
              & + X_tmp(25)*X_tmp(26)
        X(25) = X_tmp(22)*X_tmp(25) &
              & + X_tmp(23)*X_tmp(26) &
              & + X_tmp(25)*X_tmp(27)
        X(24) = X_tmp(23)**2 &
              & + X_tmp(24)**2 &
              & + X_tmp(26)**2
        X(26) = X_tmp(23)*X_tmp(25) &
              & + X_tmp(24)*X_tmp(26) &
              & + X_tmp(26)*X_tmp(27)
        X(27) = X_tmp(25)**2 &
              & + X_tmp(26)**2 &
              & + X_tmp(27)**2
        X(28) = X_tmp(28)**2 &
              & + X_tmp(29)**2
        X(29) = X_tmp(28)*X_tmp(29) &
              & + X_tmp(29)*X_tmp(30)
        X(30) = X_tmp(29)**2 &
              & + X_tmp(30)**2
        X(4) = X(2)
        X(8) = X(1)
        X(11) = grid_pt_box(1)
        X(3) = 0.02*X(1)**2 &
              & + 1.*X(1)**4 &
              & - 0.02*beta*X(6) &
              & - 2.*X(1)**2*beta*X(6) &
              & + 1.*beta**2*X(6)**2 &
              & + 0.02*grid_pt_box(1) &
              & + 2.*X(1)**2*grid_pt_box(1) &
              & - 2.*beta*X(6)*grid_pt_box(1) &
              & + 1.*grid_pt_box(1)**2 &
              & - 0.02*X(12) &
              & - 2.*X(1)**2*X(12) &
              & + 2.*beta*X(6)*X(12) &
              & - 2.*grid_pt_box(1)*X(12) &
              & + 1.*X(12)**2 &
              & - 0.04*X(16) &
              & - 4.*X(1)**2*X(16) &
              & + 0.04*X(2)**3*X(16) &
              & + 4.*X(1)**2*X(2)**3*X(16) &
              & + 4.*beta*X(6)*X(16) &
              & - 4.*X(2)**3*beta*X(6)*X(16) &
              & - 4.*grid_pt_box(1)*X(16) &
              & + 4.*X(2)**3*grid_pt_box(1)*X(16) &
              & + 4.*X(12)*X(16) &
              & - 4.*X(2)**3*X(12)*X(16) &
              & + 4.*X(16)**2 &
              & - 8.*X(2)**3*X(16)**2 &
              & + 4.*X(2)**6*X(16)**2 &
              & + 0.04*X(19) &
              & + 4.*X(1)**2*X(19) &
              & - 0.04*X(2)**3*X(19) &
              & - 4.*X(1)**2*X(2)**3*X(19) &
              & - 4.*beta*X(6)*X(19) &
              & + 4.*X(2)**3*beta*X(6)*X(19) &
              & + 4.*grid_pt_box(1)*X(19) &
              & - 4.*X(2)**3*grid_pt_box(1)*X(19) &
              & - 4.*X(12)*X(19) &
              & + 4.*X(2)**3*X(12)*X(19) &
              & - 8.*X(16)*X(19) &
              & + 16.*X(2)**3*X(16)*X(19) &
              & - 8.*X(2)**6*X(16)*X(19) &
              & + 4.*X(19)**2 &
              & - 8.*X(2)**3*X(19)**2 &
              & + 4.*X(2)**6*X(19)**2 &
              & - 0.018*X(20) &
              & - 1.8*X(1)**2*X(20) &
              & + 0.018*X(2)**3*X(20) &
              & + 1.8*X(1)**2*X(2)**3*X(20) &
              & + 1.8*beta*X(6)*X(20) &
              & - 1.8*X(2)**3*beta*X(6)*X(20) &
              & - 1.8*grid_pt_box(1)*X(20) &
              & + 1.8*X(2)**3*grid_pt_box(1)*X(20) &
              & + 1.8*X(12)*X(20) &
              & - 1.8*X(2)**3*X(12)*X(20) &
              & + 3.6*X(16)*X(20) &
              & - 7.2*X(2)**3*X(16)*X(20) &
              & + 3.6*X(2)**6*X(16)*X(20) &
              & - 3.6*X(19)*X(20) &
              & + 7.2*X(2)**3*X(19)*X(20) &
              & - 3.6*X(2)**6*X(19)*X(20) &
              & + 0.81*X(20)**2 &
              & - 1.62*X(2)**3*X(20)**2 &
              & + 0.81*X(2)**6*X(20)**2
        X(5) = (1.*beta*X(6) &
              & + 2.*X(16) &
              & - 2.*X(19) &
              & + 0.9*X(20))/ &
              &  beta
        X(21) = grid_pt_box(2)
        X(7) = 0.02*X(2)**2 &
              & + 1.*X(2)**4 &
              & - 0.02*beta*X(10) &
              & - 2.*X(2)**2*beta*X(10) &
              & + 1.*beta**2*X(10)**2 &
              & + 0.02*grid_pt_box(2) &
              & + 2.*X(2)**2*grid_pt_box(2) &
              & - 2.*beta*X(10)*grid_pt_box(2) &
              & + 1.*grid_pt_box(2)**2 &
              & - 0.02*X(22) &
              & - 2.*X(2)**2*X(22) &
              & + 2.*beta*X(10)*X(22) &
              & - 2.*grid_pt_box(2)*X(22) &
              & + 1.*X(22)**2 &
              & - 0.04*X(26) &
              & + 0.04*X(1)**3*X(26) &
              & - 4.*X(2)**2*X(26) &
              & + 4.*X(1)**3*X(2)**2*X(26) &
              & + 4.*beta*X(10)*X(26) &
              & - 4.*X(1)**3*beta*X(10)*X(26) &
              & - 4.*grid_pt_box(2)*X(26) &
              & + 4.*X(1)**3*grid_pt_box(2)*X(26) &
              & + 4.*X(22)*X(26) &
              & - 4.*X(1)**3*X(22)*X(26) &
              & + 4.*X(26)**2 &
              & - 8.*X(1)**3*X(26)**2 &
              & + 4.*X(1)**6*X(26)**2 &
              & + 0.04*X(29) &
              & - 0.04*X(1)**3*X(29) &
              & + 4.*X(2)**2*X(29) &
              & - 4.*X(1)**3*X(2)**2*X(29) &
              & - 4.*beta*X(10)*X(29) &
              & + 4.*X(1)**3*beta*X(10)*X(29) &
              & + 4.*grid_pt_box(2)*X(29) &
              & - 4.*X(1)**3*grid_pt_box(2)*X(29) &
              & - 4.*X(22)*X(29) &
              & + 4.*X(1)**3*X(22)*X(29) &
              & - 8.*X(26)*X(29) &
              & + 16.*X(1)**3*X(26)*X(29) &
              & - 8.*X(1)**6*X(26)*X(29) &
              & + 4.*X(29)**2 &
              & - 8.*X(1)**3*X(29)**2 &
              & + 4.*X(1)**6*X(29)**2 &
              & - 0.018*X(30) &
              & + 0.018*X(1)**3*X(30) &
              & - 1.8*X(2)**2*X(30) &
              & + 1.8*X(1)**3*X(2)**2*X(30) &
              & + 1.8*beta*X(10)*X(30) &
              & - 1.8*X(1)**3*beta*X(10)*X(30) &
              & - 1.8*grid_pt_box(2)*X(30) &
              & + 1.8*X(1)**3*grid_pt_box(2)*X(30) &
              & + 1.8*X(22)*X(30) &
              & - 1.8*X(1)**3*X(22)*X(30) &
              & + 3.6*X(26)*X(30) &
              & - 7.2*X(1)**3*X(26)*X(30) &
              & + 3.6*X(1)**6*X(26)*X(30) &
              & - 3.6*X(29)*X(30) &
              & + 7.2*X(1)**3*X(29)*X(30) &
              & - 3.6*X(1)**6*X(29)*X(30) &
              & + 0.81*X(30)**2 &
              & - 1.62*X(1)**3*X(30)**2 &
              & + 0.81*X(1)**6*X(30)**2
        X(9) = (1.*beta*X(10) &
              & + 2.*X(26) &
              & - 2.*X(29) &
              & + 0.9*X(30))/ &
              &  beta

      
      return
!=======================================================================   
   
      end subroutine solve_feas

!======================================================================= 


!-----------------------------------------------------------------------      

      subroutine next_cont_state(f_next_all,state_in,  X, N)

!-----------------------------------------------------------------------      

!.....returns a matrix where the i-th row is the next continuous state given that state i will be the next discrete one
      implicit none

      integer, intent(in) :: N
      real(prec), intent(in)   ::  X(N)
      real(prec), dimension(no_integnodes,dim_sim), intent(out) :: f_next_all 

      integer :: indx

      integer                 ::  state_in



!-----------------------------------------------------------------------
!     compute random start points



      f_next_all(1,1) = X(5)
      f_next_all(1,2) = X(9)

      f_next_all(2,1) = X(6)
      f_next_all(2,2) = X(10)



      return
!-----------------------------------------------------------------------      
      end subroutine next_cont_state
!-----------------------------------------------------------------------  
      
!-----------------------------------------------------------------------      

      subroutine inv_next_cont_state(f_next_all, X, N)

!-----------------------------------------------------------------------      

!.....returns a matrix where the i-th row is the next continuous state given that state i will be the next discrete one
      implicit none

      integer, intent(in) :: N
      real(prec), intent(out)   ::  X(N)
      real(prec), dimension(no_integnodes,dim_sim), intent(in) :: f_next_all 
      
!----------------------------------------------------------------------   

!-----------------------------------------------------------------------
!     compute random start points


      X(5) = f_next_all(1,1)
      X(9) = f_next_all(1,2)

      X(6) = f_next_all(2,1)
      X(10) = f_next_all(2,2)

      return
!-----------------------------------------------------------------------      
      end subroutine inv_next_cont_state
!-----------------------------------------------------------------------  
      

!=============================================================================
! 
!     Computation of objective 
! 
!=============================================================================

      subroutine princ_utility(X, iu, DAT,util)
        
      implicit none
      
      real(prec), intent(out) :: util
      real(prec), target   :: X(nvars)
      real(prec),dimension(dim_sim) :: DAT
      integer :: iu(*)

      integer               ::  state_in, indxit

      real(prec),dimension(dim_sim)  ::  grid_pt_box                
      real(prec)   ::  Prob(no_integnodes)              
      
!----------------------------------------------------------------------   

      state_in = iu(1)
      do indxit =1,dim_sim      
         grid_pt_box(indxit) = DAT(indxit)
      enddo

      call prob_weights(X,state_in,Prob)

!.....compute current util
      util = -X(3) &
              & - X(7) &
              & + outcomes(state_in)

      return
      
!-----------------------------------------------------------------------      
      end subroutine princ_utility
!-----------------------------------------------------------------------         


!=============================================================================
! 
!     Computation of constraints 
! 
!=============================================================================

      subroutine constraints(N, X, M, G, IDAT, DAT)
        
      implicit none
      
      integer :: N, M
      real(prec), target   :: X(N)
      real(prec),dimension(dim_sim) :: DAT
      integer :: IDAT(*)
      real(prec)              :: G(M)       

      integer                 ::   state_in, indxit

      real(prec),dimension(dim_sim)  ::  grid_pt_box                
      real(prec)   ::  Prob(no_integnodes)                  
      
!----------------------------------------------------------------------   

      state_in = IDAT(1)
      do indxit =1,dim_sim      
         grid_pt_box(indxit) = DAT(indxit)
      enddo

      call prob_weights(X,state_in,Prob)


!.....mapping the x to named pointers
      G(1) = -X(2) &
              & + X(4)
      G(2) = -X(1) &
              & + X(8)
      G(3) = -grid_pt_box(1) &
              & + X(11)
      G(4) = -0.01 &
              & - X(1)**2 &
              & + (0.0001 &
              & + X(3))**0.5 &
              & + beta*X(5) &
              & - beta*X(5)*X(4)**3 &
              & + beta*X(6)*X(4)**3 &
              & - X(11) &
              & + X(12)
      G(5) = 2*X(13) &
              & + 0.9*X(18)
      G(6) = X(14) &
              & + 2*X(15) &
              & - X(18) &
              & + 1.8*X(19)
      G(7) = X(17) &
              & - X(20)
      G(8) = -(beta*X(5)) &
              & + beta*X(6) &
              & + 2*X(16) &
              & - 2*X(19) &
              & + 0.9*X(20)
      G(9) = -grid_pt_box(2) &
              & + X(21)
      G(10) = -0.01 &
              & - X(2)**2 &
              & + (0.0001 &
              & + X(7))**0.5 &
              & + beta*X(9) &
              & - beta*X(9)*X(8)**3 &
              & + beta*X(10)*X(8)**3 &
              & - X(21) &
              & + X(22)
      G(11) = 2*X(23) &
              & + 0.9*X(28)
      G(12) = X(24) &
              & + 2*X(25) &
              & - X(28) &
              & + 1.8*X(29)
      G(13) = X(27) &
              & - X(30)
      G(14) = -(beta*X(9)) &
              & + beta*X(10) &
              & + 2*X(26) &
              & - 2*X(29) &
              & + 0.9*X(30)
      G(15) = 0.01 &
              & + X(1)**2 &
              & - (0.0001 &
              & + X(3))**0.5 &
              & + grid_pt_box(1) &
              & - beta*(X(5)*(1 &
              & - X(1)**3 &
              & - X(4)**3) &
              & + X(6)*(X(1)**3 &
              & + X(4)**3))
      G(16) = 0.01 &
              & + X(2)**2 &
              & - (0.0001 &
              & + X(7))**0.5 &
              & + grid_pt_box(2) &
              & - beta*(X(9)*(1 &
              & - X(2)**3 &
              & - X(8)**3) &
              & + X(10)*(X(2)**3 &
              & + X(8)**3))
      G(17) = 1. &
              & - X(1)**3 &
              & - X(4)**3
      G(18) = epsmat &
              & + X(12)
      G(19) = epsmat &
              & + X(14)
      G(20) = epsmat &
              & + X(17)
      G(21) = epsmat**2 &
              & + epsmat*X(12) &
              & - X(13)**2 &
              & + epsmat*X(14) &
              & + X(12)*X(14)
      G(22) = epsmat**2 &
              & + epsmat*X(12) &
              & - X(15)**2 &
              & + epsmat*X(17) &
              & + X(12)*X(17)
      G(23) = epsmat**2 &
              & + epsmat*X(14) &
              & - X(16)**2 &
              & + epsmat*X(17) &
              & + X(14)*X(17)
      G(24) = epsmat**3 &
              & + epsmat**2*X(12) &
              & - epsmat*X(13)**2 &
              & + epsmat**2*X(14) &
              & + epsmat*X(12)*X(14) &
              & - epsmat*X(15)**2 &
              & - X(14)*X(15)**2 &
              & + 2*X(13)*X(15)*X(16) &
              & - epsmat*X(16)**2 &
              & - X(12)*X(16)**2 &
              & + epsmat**2*X(17) &
              & + epsmat*X(12)*X(17) &
              & - X(13)**2*X(17) &
              & + epsmat*X(14)*X(17) &
              & + X(12)*X(14)*X(17)
      G(25) = epsmat &
              & + X(18)
      G(26) = epsmat &
              & + X(20)
      G(27) = epsmat**2 &
              & + epsmat*X(18) &
              & - X(19)**2 &
              & + epsmat*X(20) &
              & + X(18)*X(20)
      G(28) = epsmat &
              & + X(12)
      G(29) = epsmat &
              & + X(14)
      G(30) = epsmat &
              & + X(17)
      G(31) = epsmat**2 &
              & + epsmat*X(12) &
              & - X(13)**2 &
              & + epsmat*X(14) &
              & + X(12)*X(14)
      G(32) = epsmat**2 &
              & + epsmat*X(12) &
              & - X(15)**2 &
              & + epsmat*X(17) &
              & + X(12)*X(17)
      G(33) = epsmat**2 &
              & + epsmat*X(14) &
              & - X(16)**2 &
              & + epsmat*X(17) &
              & + X(14)*X(17)
      G(34) = epsmat**3 &
              & + epsmat**2*X(12) &
              & - epsmat*X(13)**2 &
              & + epsmat**2*X(14) &
              & + epsmat*X(12)*X(14) &
              & - epsmat*X(15)**2 &
              & - X(14)*X(15)**2 &
              & + 2*X(13)*X(15)*X(16) &
              & - epsmat*X(16)**2 &
              & - X(12)*X(16)**2 &
              & + epsmat**2*X(17) &
              & + epsmat*X(12)*X(17) &
              & - X(13)**2*X(17) &
              & + epsmat*X(14)*X(17) &
              & + X(12)*X(14)*X(17)
      G(35) = epsmat &
              & + X(18)
      G(36) = epsmat &
              & + X(20)
      G(37) = epsmat**2 &
              & + epsmat*X(18) &
              & - X(19)**2 &
              & + epsmat*X(20) &
              & + X(18)*X(20)
      G(38) = epsmat &
              & + X(22)
      G(39) = epsmat &
              & + X(24)
      G(40) = epsmat &
              & + X(27)
      G(41) = epsmat**2 &
              & + epsmat*X(22) &
              & - X(23)**2 &
              & + epsmat*X(24) &
              & + X(22)*X(24)
      G(42) = epsmat**2 &
              & + epsmat*X(22) &
              & - X(25)**2 &
              & + epsmat*X(27) &
              & + X(22)*X(27)
      G(43) = epsmat**2 &
              & + epsmat*X(24) &
              & - X(26)**2 &
              & + epsmat*X(27) &
              & + X(24)*X(27)
      G(44) = epsmat**3 &
              & + epsmat**2*X(22) &
              & - epsmat*X(23)**2 &
              & + epsmat**2*X(24) &
              & + epsmat*X(22)*X(24) &
              & - epsmat*X(25)**2 &
              & - X(24)*X(25)**2 &
              & + 2*X(23)*X(25)*X(26) &
              & - epsmat*X(26)**2 &
              & - X(22)*X(26)**2 &
              & + epsmat**2*X(27) &
              & + epsmat*X(22)*X(27) &
              & - X(23)**2*X(27) &
              & + epsmat*X(24)*X(27) &
              & + X(22)*X(24)*X(27)
      G(45) = epsmat &
              & + X(28)
      G(46) = epsmat &
              & + X(30)
      G(47) = epsmat**2 &
              & + epsmat*X(28) &
              & - X(29)**2 &
              & + epsmat*X(30) &
              & + X(28)*X(30)

      return
      
!-----------------------------------------------------------------------      
      end subroutine constraints
!-----------------------------------------------------------------------      
 
 

!=======================================================================      

      subroutine sparsity_pattern(ACON, AVAR, nnz) !returns the sparsity pattern

!=======================================================================      

!.....returns the sparsity pattern compatible for IPOPT
      implicit none

      integer, intent(in) :: nnz  !nonzero entries
      integer, intent(out)   ::  ACON(nnz),AVAR(nnz)

      ACON(1) = 1 
      AVAR(1) = 2
      ACON(2) = 1 
      AVAR(2) = 4
      ACON(3) = 2 
      AVAR(3) = 1
      ACON(4) = 2 
      AVAR(4) = 8
      ACON(5) = 3 
      AVAR(5) = 11
      ACON(6) = 4 
      AVAR(6) = 1
      ACON(7) = 4 
      AVAR(7) = 3
      ACON(8) = 4 
      AVAR(8) = 4
      ACON(9) = 4 
      AVAR(9) = 5
      ACON(10) = 4 
      AVAR(10) = 6
      ACON(11) = 4 
      AVAR(11) = 11
      ACON(12) = 4 
      AVAR(12) = 12
      ACON(13) = 5 
      AVAR(13) = 13
      ACON(14) = 5 
      AVAR(14) = 18
      ACON(15) = 6 
      AVAR(15) = 14
      ACON(16) = 6 
      AVAR(16) = 15
      ACON(17) = 6 
      AVAR(17) = 18
      ACON(18) = 6 
      AVAR(18) = 19
      ACON(19) = 7 
      AVAR(19) = 17
      ACON(20) = 7 
      AVAR(20) = 20
      ACON(21) = 8 
      AVAR(21) = 5
      ACON(22) = 8 
      AVAR(22) = 6
      ACON(23) = 8 
      AVAR(23) = 16
      ACON(24) = 8 
      AVAR(24) = 19
      ACON(25) = 8 
      AVAR(25) = 20
      ACON(26) = 9 
      AVAR(26) = 21
      ACON(27) = 10 
      AVAR(27) = 2
      ACON(28) = 10 
      AVAR(28) = 7
      ACON(29) = 10 
      AVAR(29) = 8
      ACON(30) = 10 
      AVAR(30) = 9
      ACON(31) = 10 
      AVAR(31) = 10
      ACON(32) = 10 
      AVAR(32) = 21
      ACON(33) = 10 
      AVAR(33) = 22
      ACON(34) = 11 
      AVAR(34) = 23
      ACON(35) = 11 
      AVAR(35) = 28
      ACON(36) = 12 
      AVAR(36) = 24
      ACON(37) = 12 
      AVAR(37) = 25
      ACON(38) = 12 
      AVAR(38) = 28
      ACON(39) = 12 
      AVAR(39) = 29
      ACON(40) = 13 
      AVAR(40) = 27
      ACON(41) = 13 
      AVAR(41) = 30
      ACON(42) = 14 
      AVAR(42) = 9
      ACON(43) = 14 
      AVAR(43) = 10
      ACON(44) = 14 
      AVAR(44) = 26
      ACON(45) = 14 
      AVAR(45) = 29
      ACON(46) = 14 
      AVAR(46) = 30
      ACON(47) = 15 
      AVAR(47) = 1
      ACON(48) = 15 
      AVAR(48) = 3
      ACON(49) = 15 
      AVAR(49) = 4
      ACON(50) = 15 
      AVAR(50) = 5
      ACON(51) = 15 
      AVAR(51) = 6
      ACON(52) = 16 
      AVAR(52) = 2
      ACON(53) = 16 
      AVAR(53) = 7
      ACON(54) = 16 
      AVAR(54) = 8
      ACON(55) = 16 
      AVAR(55) = 9
      ACON(56) = 16 
      AVAR(56) = 10
      ACON(57) = 17 
      AVAR(57) = 1
      ACON(58) = 17 
      AVAR(58) = 4
      ACON(59) = 18 
      AVAR(59) = 12
      ACON(60) = 19 
      AVAR(60) = 14
      ACON(61) = 20 
      AVAR(61) = 17
      ACON(62) = 21 
      AVAR(62) = 12
      ACON(63) = 21 
      AVAR(63) = 13
      ACON(64) = 21 
      AVAR(64) = 14
      ACON(65) = 22 
      AVAR(65) = 12
      ACON(66) = 22 
      AVAR(66) = 15
      ACON(67) = 22 
      AVAR(67) = 17
      ACON(68) = 23 
      AVAR(68) = 14
      ACON(69) = 23 
      AVAR(69) = 16
      ACON(70) = 23 
      AVAR(70) = 17
      ACON(71) = 24 
      AVAR(71) = 12
      ACON(72) = 24 
      AVAR(72) = 13
      ACON(73) = 24 
      AVAR(73) = 14
      ACON(74) = 24 
      AVAR(74) = 15
      ACON(75) = 24 
      AVAR(75) = 16
      ACON(76) = 24 
      AVAR(76) = 17
      ACON(77) = 25 
      AVAR(77) = 18
      ACON(78) = 26 
      AVAR(78) = 20
      ACON(79) = 27 
      AVAR(79) = 18
      ACON(80) = 27 
      AVAR(80) = 19
      ACON(81) = 27 
      AVAR(81) = 20
      ACON(82) = 28 
      AVAR(82) = 12
      ACON(83) = 29 
      AVAR(83) = 14
      ACON(84) = 30 
      AVAR(84) = 17
      ACON(85) = 31 
      AVAR(85) = 12
      ACON(86) = 31 
      AVAR(86) = 13
      ACON(87) = 31 
      AVAR(87) = 14
      ACON(88) = 32 
      AVAR(88) = 12
      ACON(89) = 32 
      AVAR(89) = 15
      ACON(90) = 32 
      AVAR(90) = 17
      ACON(91) = 33 
      AVAR(91) = 14
      ACON(92) = 33 
      AVAR(92) = 16
      ACON(93) = 33 
      AVAR(93) = 17
      ACON(94) = 34 
      AVAR(94) = 12
      ACON(95) = 34 
      AVAR(95) = 13
      ACON(96) = 34 
      AVAR(96) = 14
      ACON(97) = 34 
      AVAR(97) = 15
      ACON(98) = 34 
      AVAR(98) = 16
      ACON(99) = 34 
      AVAR(99) = 17
      ACON(100) = 35 
      AVAR(100) = 18
      ACON(101) = 36 
      AVAR(101) = 20
      ACON(102) = 37 
      AVAR(102) = 18
      ACON(103) = 37 
      AVAR(103) = 19
      ACON(104) = 37 
      AVAR(104) = 20
      ACON(105) = 38 
      AVAR(105) = 22
      ACON(106) = 39 
      AVAR(106) = 24
      ACON(107) = 40 
      AVAR(107) = 27
      ACON(108) = 41 
      AVAR(108) = 22
      ACON(109) = 41 
      AVAR(109) = 23
      ACON(110) = 41 
      AVAR(110) = 24
      ACON(111) = 42 
      AVAR(111) = 22
      ACON(112) = 42 
      AVAR(112) = 25
      ACON(113) = 42 
      AVAR(113) = 27
      ACON(114) = 43 
      AVAR(114) = 24
      ACON(115) = 43 
      AVAR(115) = 26
      ACON(116) = 43 
      AVAR(116) = 27
      ACON(117) = 44 
      AVAR(117) = 22
      ACON(118) = 44 
      AVAR(118) = 23
      ACON(119) = 44 
      AVAR(119) = 24
      ACON(120) = 44 
      AVAR(120) = 25
      ACON(121) = 44 
      AVAR(121) = 26
      ACON(122) = 44 
      AVAR(122) = 27
      ACON(123) = 45 
      AVAR(123) = 28
      ACON(124) = 46 
      AVAR(124) = 30
      ACON(125) = 47 
      AVAR(125) = 28
      ACON(126) = 47 
      AVAR(126) = 29
      ACON(127) = 47 
      AVAR(127) = 30


!-----------------------------------------------------------------------      
      end subroutine sparsity_pattern
!----------------------------------------------------------------------- 

!=======================================================================      

      subroutine sparsity_pattern_obj(AVAR, nnz) !returns the sparsity pattern of the objective

!=======================================================================      

!.....returns the sparsity pattern of the objective for SNOPT
      implicit none

      integer, intent(in) :: nnz  !nonzero entries
      integer, intent(out)   ::  AVAR(nnz)

 
      AVAR(1) = 3
 
      AVAR(2) = 5
 
      AVAR(3) = 6
 
      AVAR(4) = 7
 
      AVAR(5) = 9
 
      AVAR(6) = 10


!-----------------------------------------------------------------------      
      end subroutine sparsity_pattern_obj
!----------------------------------------------------------------------- 


!=======================================================================      

      subroutine bounds(n,xlow, xhigh, m, flow, fhigh,bigbnd, &
      & IDAT, DAT ) 
      !returns the bounds on variables and constraints

!=======================================================================      

      implicit none

      real(prec),dimension(dim_sim) :: DAT
      integer :: IDAT(*)

      integer, intent(in) :: n,m 
      real(prec), intent(in) :: bigbnd
      real(prec), intent(out)   ::  xlow(n),xhigh(n),flow(m),fhigh(m)

      integer                 ::  state_in,indxit

      real(prec),dimension(dim_sim)  ::  grid_pt_box                

            
   
!----------------------------------------------------------------------   

      state_in = IDAT(1)
      do indxit =1,dim_sim      
         grid_pt_box(indxit) = DAT(indxit)
      enddo




      xlow(1) = 0. 
      xhigh(1) = 0.9
      xlow(2) = 0. 
      xhigh(2) = 0.9
      xlow(3) = 0 
      xhigh(3) = 10.
      xlow(4) = 0. 
      xhigh(4) = 0.9
      xlow(5) = 0.3063858403911275/(1. &
              & - beta) 
      xhigh(5) = 1.4042489172702237/(1. &
              & - beta)
      xlow(6) = 0.3063858403911275/(1. &
              & - beta) 
      xhigh(6) = 1.4042489172702237/(1. &
              & - beta)
      xlow(7) = 0 
      xhigh(7) = 10.
      xlow(8) = 0. 
      xhigh(8) = 0.9
      xlow(9) = 0.3063858403911275/(1. &
              & - beta) 
      xhigh(9) = 1.4042489172702237/(1. &
              & - beta)
      xlow(10) = 0.3063858403911275/(1. &
              & - beta) 
      xhigh(10) = 1.4042489172702237/(1. &
              & - beta)
      xlow(11) = -1000. 
      xhigh(11) = 1000.
      xlow(12) = -1000. 
      xhigh(12) = 1000.
      xlow(13) = -1000. 
      xhigh(13) = 1000.
      xlow(14) = -1000. 
      xhigh(14) = 1000.
      xlow(15) = -1000. 
      xhigh(15) = 1000.
      xlow(16) = -1000. 
      xhigh(16) = 1000.
      xlow(17) = -1000. 
      xhigh(17) = 1000.
      xlow(18) = -1000. 
      xhigh(18) = 1000.
      xlow(19) = -1000. 
      xhigh(19) = 1000.
      xlow(20) = -1000. 
      xhigh(20) = 1000.
      xlow(21) = -1000. 
      xhigh(21) = 1000.
      xlow(22) = -1000. 
      xhigh(22) = 1000.
      xlow(23) = -1000. 
      xhigh(23) = 1000.
      xlow(24) = -1000. 
      xhigh(24) = 1000.
      xlow(25) = -1000. 
      xhigh(25) = 1000.
      xlow(26) = -1000. 
      xhigh(26) = 1000.
      xlow(27) = -1000. 
      xhigh(27) = 1000.
      xlow(28) = -1000. 
      xhigh(28) = 1000.
      xlow(29) = -1000. 
      xhigh(29) = 1000.
      xlow(30) = -1000. 
      xhigh(30) = 1000.
      flow(1) = 0. 
      fhigh(1) = 0.
      flow(2) = 0. 
      fhigh(2) = 0.
      flow(3) = 0. 
      fhigh(3) = 0.
      flow(4) = 0. 
      fhigh(4) = 0.
      flow(5) = 0. 
      fhigh(5) = 0.
      flow(6) = 0. 
      fhigh(6) = 0.
      flow(7) = 0. 
      fhigh(7) = 0.
      flow(8) = 0. 
      fhigh(8) = 0.
      flow(9) = 0. 
      fhigh(9) = 0.
      flow(10) = 0. 
      fhigh(10) = 0.
      flow(11) = 0. 
      fhigh(11) = 0.
      flow(12) = 0. 
      fhigh(12) = 0.
      flow(13) = 0. 
      fhigh(13) = 0.
      flow(14) = 0. 
      fhigh(14) = 0.
      flow(15) = 0. 
      fhigh(15) = 0.
      flow(16) = 0. 
      fhigh(16) = 0.
      flow(17) = 0. 
      fhigh(17) = bigBnd
      flow(18) = 0. 
      fhigh(18) = bigBnd
      flow(19) = 0. 
      fhigh(19) = bigBnd
      flow(20) = 0. 
      fhigh(20) = bigBnd
      flow(21) = 0. 
      fhigh(21) = bigBnd
      flow(22) = 0. 
      fhigh(22) = bigBnd
      flow(23) = 0. 
      fhigh(23) = bigBnd
      flow(24) = 0. 
      fhigh(24) = bigBnd
      flow(25) = 0. 
      fhigh(25) = bigBnd
      flow(26) = 0. 
      fhigh(26) = bigBnd
      flow(27) = 0. 
      fhigh(27) = bigBnd
      flow(28) = 0. 
      fhigh(28) = bigBnd
      flow(29) = 0. 
      fhigh(29) = bigBnd
      flow(30) = 0. 
      fhigh(30) = bigBnd
      flow(31) = 0. 
      fhigh(31) = bigBnd
      flow(32) = 0. 
      fhigh(32) = bigBnd
      flow(33) = 0. 
      fhigh(33) = bigBnd
      flow(34) = 0. 
      fhigh(34) = bigBnd
      flow(35) = 0. 
      fhigh(35) = bigBnd
      flow(36) = 0. 
      fhigh(36) = bigBnd
      flow(37) = 0. 
      fhigh(37) = bigBnd
      flow(38) = 0. 
      fhigh(38) = bigBnd
      flow(39) = 0. 
      fhigh(39) = bigBnd
      flow(40) = 0. 
      fhigh(40) = bigBnd
      flow(41) = 0. 
      fhigh(41) = bigBnd
      flow(42) = 0. 
      fhigh(42) = bigBnd
      flow(43) = 0. 
      fhigh(43) = bigBnd
      flow(44) = 0. 
      fhigh(44) = bigBnd
      flow(45) = 0. 
      fhigh(45) = bigBnd
      flow(46) = 0. 
      fhigh(46) = bigBnd
      flow(47) = 0. 
      fhigh(47) = bigBnd
      if(grid_pt_box(1) .eq. 0.) then
            xlow(3) = 0. 
            xhigh(3) = 0.
            xlow(1) = 0. 
            xhigh(1) = 0.
            xlow(5) = 0. 
            xhigh(5) = 0.
            xlow(6) = 0. 
            xhigh(6) = 0.
      endif
      if(grid_pt_box(2) .eq. 0.) then
            xlow(7) = 0. 
            xhigh(7) = 0.
            xlow(2) = 0. 
            xhigh(2) = 0.
            xlow(9) = 0. 
            xhigh(9) = 0.
            xlow(10) = 0. 
            xhigh(10) = 0.
      endif


!-----------------------------------------------------------------------      
      end subroutine bounds
!----------------------------------------------------------------------- 



!=============================================================================
! 
!                 Computation of Jacobian of equality constraints
! 
!=============================================================================

      subroutine jac_constraints(N, X, M, NZ, A, &
     &     IDAT, DAT)

      implicit none

      integer ::  NZ
      integer :: M, N
      real(prec), target :: X(N)
      real(prec) :: A(NZ)
      integer :: i, j, k
      real(prec),dimension(dim_sim) :: DAT
      integer :: IDAT(*)


      real(prec),dimension(dim_sim)  ::  grid_pt_box                

      integer :: indxit
!-----------------------------------------------------------------------      

      do indxit =1,dim_sim      
         grid_pt_box(indxit) = DAT(indxit)
      enddo


!-----------------------------------------------------------------------
      A(1) = -1. 
      A(2) = 1. 
      A(3) = -1. 
      A(4) = 1. 
      A(5) = 1. 
      A(6) = -2.*X(1) 
      A(7) = 0.5/(0.0001 &
              & + X(3))**0.5 
      A(8) = 1.*(-3*beta*X(5)*X(4)**2 &
              & + 3*beta*X(6)*X(4)**2) 
      A(9) = 1.*(beta &
              & - beta*X(4)**3) 
      A(10) = 1.*beta*X(4)**3 
      A(11) = -1. 
      A(12) = 1. 
      A(13) = 2. 
      A(14) = 0.9 
      A(15) = 1. 
      A(16) = 2. 
      A(17) = -1. 
      A(18) = 1.8 
      A(19) = 1. 
      A(20) = -1. 
      A(21) = -1.*beta 
      A(22) = 1.*beta 
      A(23) = 2. 
      A(24) = -2. 
      A(25) = 0.9 
      A(26) = 1. 
      A(27) = -2.*X(2) 
      A(28) = 0.5/(0.0001 &
              & + X(7))**0.5 
      A(29) = 1.*(-3*beta*X(9)*X(8)**2 &
              & + 3*beta*X(10)*X(8)**2) 
      A(30) = 1.*(beta &
              & - beta*X(8)**3) 
      A(31) = 1.*beta*X(8)**3 
      A(32) = -1. 
      A(33) = 1. 
      A(34) = 2. 
      A(35) = 0.9 
      A(36) = 1. 
      A(37) = 2. 
      A(38) = -1. 
      A(39) = 1.8 
      A(40) = 1. 
      A(41) = -1. 
      A(42) = -1.*beta 
      A(43) = 1.*beta 
      A(44) = 2. 
      A(45) = -2. 
      A(46) = 0.9 
      A(47) = 1.*(2*X(1) &
              & - beta*(-3*X(1)**2*X(5) &
              & + 3*X(1)**2*X(6))) 
      A(48) = -0.5/(0.0001 &
              & + X(3))**0.5 
      A(49) = -1.*beta*(-3*X(5)*X(4)**2 &
              & + 3*X(6)*X(4)**2) 
      A(50) = -1.*beta*(1 &
              & - X(1)**3 &
              & - X(4)**3) 
      A(51) = -1.*beta*(X(1)**3 &
              & + X(4)**3) 
      A(52) = 1.*(2*X(2) &
              & - beta*(-3*X(2)**2*X(9) &
              & + 3*X(2)**2*X(10))) 
      A(53) = -0.5/(0.0001 &
              & + X(7))**0.5 
      A(54) = -1.*beta*(-3*X(9)*X(8)**2 &
              & + 3*X(10)*X(8)**2) 
      A(55) = -1.*beta*(1 &
              & - X(2)**3 &
              & - X(8)**3) 
      A(56) = -1.*beta*(X(2)**3 &
              & + X(8)**3) 
      A(57) = -3.*X(1)**2 
      A(58) = -3.*X(4)**2 
      A(59) = 1. 
      A(60) = 1. 
      A(61) = 1. 
      A(62) = 1.*(epsmat &
              & + X(14)) 
      A(63) = -2.*X(13) 
      A(64) = 1.*(epsmat &
              & + X(12)) 
      A(65) = 1.*(epsmat &
              & + X(17)) 
      A(66) = -2.*X(15) 
      A(67) = 1.*(epsmat &
              & + X(12)) 
      A(68) = 1.*(epsmat &
              & + X(17)) 
      A(69) = -2.*X(16) 
      A(70) = 1.*(epsmat &
              & + X(14)) 
      A(71) = 1.*(epsmat**2 &
              & + epsmat*X(14) &
              & - X(16)**2 &
              & + epsmat*X(17) &
              & + X(14)*X(17)) 
      A(72) = 1.*(-2*epsmat*X(13) &
              & + 2*X(15)*X(16) &
              & - 2*X(13)*X(17)) 
      A(73) = 1.*(epsmat**2 &
              & + epsmat*X(12) &
              & - X(15)**2 &
              & + epsmat*X(17) &
              & + X(12)*X(17)) 
      A(74) = 1.*(-2*epsmat*X(15) &
              & - 2*X(14)*X(15) &
              & + 2*X(13)*X(16)) 
      A(75) = 1.*(2*X(13)*X(15) &
              & - 2*epsmat*X(16) &
              & - 2*X(12)*X(16)) 
      A(76) = 1.*(epsmat**2 &
              & + epsmat*X(12) &
              & - X(13)**2 &
              & + epsmat*X(14) &
              & + X(12)*X(14)) 
      A(77) = 1. 
      A(78) = 1. 
      A(79) = 1.*(epsmat &
              & + X(20)) 
      A(80) = -2.*X(19) 
      A(81) = 1.*(epsmat &
              & + X(18)) 
      A(82) = 1. 
      A(83) = 1. 
      A(84) = 1. 
      A(85) = 1.*(epsmat &
              & + X(14)) 
      A(86) = -2.*X(13) 
      A(87) = 1.*(epsmat &
              & + X(12)) 
      A(88) = 1.*(epsmat &
              & + X(17)) 
      A(89) = -2.*X(15) 
      A(90) = 1.*(epsmat &
              & + X(12)) 
      A(91) = 1.*(epsmat &
              & + X(17)) 
      A(92) = -2.*X(16) 
      A(93) = 1.*(epsmat &
              & + X(14)) 
      A(94) = 1.*(epsmat**2 &
              & + epsmat*X(14) &
              & - X(16)**2 &
              & + epsmat*X(17) &
              & + X(14)*X(17)) 
      A(95) = 1.*(-2*epsmat*X(13) &
              & + 2*X(15)*X(16) &
              & - 2*X(13)*X(17)) 
      A(96) = 1.*(epsmat**2 &
              & + epsmat*X(12) &
              & - X(15)**2 &
              & + epsmat*X(17) &
              & + X(12)*X(17)) 
      A(97) = 1.*(-2*epsmat*X(15) &
              & - 2*X(14)*X(15) &
              & + 2*X(13)*X(16)) 
      A(98) = 1.*(2*X(13)*X(15) &
              & - 2*epsmat*X(16) &
              & - 2*X(12)*X(16)) 
      A(99) = 1.*(epsmat**2 &
              & + epsmat*X(12) &
              & - X(13)**2 &
              & + epsmat*X(14) &
              & + X(12)*X(14)) 
      A(100) = 1. 
      A(101) = 1. 
      A(102) = 1.*(epsmat &
              & + X(20)) 
      A(103) = -2.*X(19) 
      A(104) = 1.*(epsmat &
              & + X(18)) 
      A(105) = 1. 
      A(106) = 1. 
      A(107) = 1. 
      A(108) = 1.*(epsmat &
              & + X(24)) 
      A(109) = -2.*X(23) 
      A(110) = 1.*(epsmat &
              & + X(22)) 
      A(111) = 1.*(epsmat &
              & + X(27)) 
      A(112) = -2.*X(25) 
      A(113) = 1.*(epsmat &
              & + X(22)) 
      A(114) = 1.*(epsmat &
              & + X(27)) 
      A(115) = -2.*X(26) 
      A(116) = 1.*(epsmat &
              & + X(24)) 
      A(117) = 1.*(epsmat**2 &
              & + epsmat*X(24) &
              & - X(26)**2 &
              & + epsmat*X(27) &
              & + X(24)*X(27)) 
      A(118) = 1.*(-2*epsmat*X(23) &
              & + 2*X(25)*X(26) &
              & - 2*X(23)*X(27)) 
      A(119) = 1.*(epsmat**2 &
              & + epsmat*X(22) &
              & - X(25)**2 &
              & + epsmat*X(27) &
              & + X(22)*X(27)) 
      A(120) = 1.*(-2*epsmat*X(25) &
              & - 2*X(24)*X(25) &
              & + 2*X(23)*X(26)) 
      A(121) = 1.*(2*X(23)*X(25) &
              & - 2*epsmat*X(26) &
              & - 2*X(22)*X(26)) 
      A(122) = 1.*(epsmat**2 &
              & + epsmat*X(22) &
              & - X(23)**2 &
              & + epsmat*X(24) &
              & + X(22)*X(24)) 
      A(123) = 1. 
      A(124) = 1. 
      A(125) = 1.*(epsmat &
              & + X(30)) 
      A(126) = -2.*X(29) 
      A(127) = 1.*(epsmat &
              & + X(28)) 



!-----------------------------------------------------------------------      
      return
!-----------------------------------------------------------------------      
      end subroutine jac_constraints
      
     
!=======================================================================      

      subroutine prob_weights(X,state_in,Prob) !returns the prob weidhts

!=======================================================================      

      implicit none

      integer, intent(in) :: state_in
      real(prec), intent(in) :: X(nvars)
      real(prec), intent(out)   ::  Prob(no_integnodes)
      real(prec) ::  Prob_tmp(n_disc_state,no_integnodes)

      Prob_tmp(1,1) = 1 &
              & - X(1)**3 &
              & - X(4)**3
      Prob_tmp(1,2) = X(1)**3 &
              & + X(4)**3
      Prob_tmp(2,1) = 1 &
              & - X(1)**3 &
              & - X(4)**3
      Prob_tmp(2,2) = X(1)**3 &
              & + X(4)**3


      Prob(:) = Prob_tmp(state_in,:)
      

!-----------------------------------------------------------------------      
      end subroutine prob_weights
!-----------------------------------------------------------------------    


